/* Teknisa - Tecnologia em Informtica

Nome: 3942_PEDSTPO - RELATORIO DE COMPOSICAO DO PEDIDO RECURSIVO

Descrio:
Rotina para adicionar recursivamente quantos pratos forem necessrios por refeio.

Criao:
09/01/2017 - Srgio Pow

@..\Sql\End_Conv\Oracle\3942_PEDSTPO.SQL
*/

create or replace PROCEDURE REL_COMPITEMPED_RECURSIVA (
   P_CDFILIAL     IN RELCOMPITEMPED.CDFILIAL%TYPE,
   P_NRPEDIDO     IN RELCOMPITEMPED.NRPEDIDO%TYPE,
   P_NRITEMPED    IN RELCOMPITEMPED.NRITEMPED%TYPE,
   P_CDPRODUTO    IN PRODUTO.CDPRODUTO%TYPE,
   P_CDGRUPOCOMP  IN RELCOMPITEMPED.NRLINHA%TYPE,
   P_SUBLINHA     IN RELCOMPITEMPED.NRSEQLINHA%TYPE,
   P_CDPRODCOMPED IN PRODUTO.CDPRODUTO%TYPE,
   P_PRODFILHO    IN PRODUTO.NMPRODUTO%TYPE,
   P_QTITCOMPPROD IN RELCOMPITEMPED.QTPRODUTO1%TYPE,
   P_NRSEQPROD    IN COMPITEMPED.NRSEQPROD%TYPE
   ) AS
   V_CDPRODUTO     ITEMPEDIDO.CDPRODUTO%TYPE;
   V_NRSEQLINHA    RELCOMPITEMPED.NRSEQLINHA%TYPE;
   V_NRSEQSUBLINHA RELCOMPITEMPED.NRSEQLINHA%TYPE;
   V_NRLINHA       RELCOMPITEMPED.NRLINHA%TYPE;
BEGIN
   V_CDPRODUTO     := '';
   V_NRSEQLINHA    := '';
   V_NRLINHA       := '';
   V_NRSEQSUBLINHA := P_SUBLINHA;
   
   --NRSEQPROD   = Dia da Semana
   --CDGRUPOCOMP = Refeio do Dia
   -- A linha  a refeio

   -- Domingo
   IF (P_NRSEQPROD = '1') THEN

     -- Verifica se a linha existe
     BEGIN
        SELECT MIN(NRSEQLINHA) AS NRSEQLINHA, NRLINHA, CDPRODUTO1
          INTO V_NRSEQLINHA, V_NRLINHA, V_CDPRODUTO
          FROM RELCOMPITEMPED
         WHERE (CDFILIAL     = P_CDFILIAL   )
           AND (NRPEDIDO     = P_NRPEDIDO   )
           AND (NRITEMPED    = P_NRITEMPED  )
           AND (CDPRODUTOPAI = P_CDPRODUTO  )
           AND (NRLINHA      = P_CDGRUPOCOMP)
           AND (NRSEQLINHA   = V_NRSEQSUBLINHA)
           AND ROWNUM <= 1
         GROUP BY NRLINHA, CDPRODUTO1;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_NRSEQLINHA := '';
            V_NRLINHA    := '';
            V_CDPRODUTO  := '';
      END;
       
     -- Se a linha no existir o V_NRSEQLINHA e o V_CDPRODUTO vo estar vazios
     IF (((V_NRSEQLINHA = '')OR(V_NRSEQLINHA IS NULL)) AND ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL))) THEN

       -- Insere a linha CDGRUPOCOMP
       INSERT INTO RELCOMPITEMPED (CDFILIAL, NRPEDIDO, NRITEMPED, CDPRODUTOPAI,
                                   NRLINHA, NRSEQLINHA,
                                   CDPRODUTO1, NMPRODUTO1, QTPRODUTO1)
         VALUES (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO,
                 P_CDGRUPOCOMP, V_NRSEQSUBLINHA,
                 P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD);
                  
     -- Se o V_NRSEQLINHA no estiver vazio e o V_CDPRODUTO estiver
     ELSIF ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL)) THEN

       -- Altera a linha que j existe
       UPDATE RELCOMPITEMPED
          SET CDPRODUTO1    = P_CDPRODCOMPED,
              NMPRODUTO1    = P_PRODFILHO,
              QTPRODUTO1    = P_QTITCOMPPROD
        WHERE (CDFILIAL     = P_CDFILIAL   )
          AND (NRPEDIDO     = P_NRPEDIDO   )
          AND (NRITEMPED    = P_NRITEMPED  )
          AND (CDPRODUTOPAI = P_CDPRODUTO  )
          AND (NRLINHA      = P_CDGRUPOCOMP)
          AND (NRSEQLINHA   = V_NRSEQSUBLINHA);
           
     -- Deve se criar uma sublinha
     ELSE

        REL_COMPITEMPED_RECURSIVA (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO, P_CDGRUPOCOMP, (V_NRSEQLINHA + 1), P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD, P_NRSEQPROD);
     END IF;
   END IF;
   
   -- Segunda
   IF (P_NRSEQPROD = '2') THEN

     -- Verifica se a linha existe
     BEGIN
        SELECT MIN(NRSEQLINHA) AS NRSEQLINHA, NRLINHA, CDPRODUTO2
          INTO V_NRSEQLINHA, V_NRLINHA, V_CDPRODUTO
          FROM RELCOMPITEMPED
         WHERE (CDFILIAL     = P_CDFILIAL   )
           AND (NRPEDIDO     = P_NRPEDIDO   )
           AND (NRITEMPED    = P_NRITEMPED  )
           AND (CDPRODUTOPAI = P_CDPRODUTO  )
           AND (NRLINHA      = P_CDGRUPOCOMP)
           AND (NRSEQLINHA   = V_NRSEQSUBLINHA)
           AND ROWNUM <= 1
         GROUP BY NRLINHA, CDPRODUTO2;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_NRSEQLINHA := '';
            V_NRLINHA    := '';
            V_CDPRODUTO  := '';
      END;
       
     -- Se a linha no existir o V_NRSEQLINHA e o V_CDPRODUTO vo estar vazios
     IF (((V_NRSEQLINHA = '')OR(V_NRSEQLINHA IS NULL)) AND ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL))) THEN

       -- Insere a linha CDGRUPOCOMP
       INSERT INTO RELCOMPITEMPED (CDFILIAL, NRPEDIDO, NRITEMPED, CDPRODUTOPAI,
                                   NRLINHA, NRSEQLINHA,
                                   CDPRODUTO2, NMPRODUTO2, QTPRODUTO2)
         VALUES (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO,
                 P_CDGRUPOCOMP, V_NRSEQSUBLINHA,
                 P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD);
                  
     -- Se o V_NRSEQLINHA no estiver vazio e o V_CDPRODUTO estiver
     ELSIF ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL)) THEN

       -- Altera a linha que j existe
       UPDATE RELCOMPITEMPED
          SET CDPRODUTO2    = P_CDPRODCOMPED,
              NMPRODUTO2    = P_PRODFILHO,
              QTPRODUTO2    = P_QTITCOMPPROD
        WHERE (CDFILIAL     = P_CDFILIAL   )
          AND (NRPEDIDO     = P_NRPEDIDO   )
          AND (NRITEMPED    = P_NRITEMPED  )
          AND (CDPRODUTOPAI = P_CDPRODUTO  )
          AND (NRLINHA      = P_CDGRUPOCOMP)
          AND (NRSEQLINHA   = V_NRSEQSUBLINHA);
           
     -- Deve se criar uma sublinha
     ELSE

        REL_COMPITEMPED_RECURSIVA (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO, P_CDGRUPOCOMP, (V_NRSEQLINHA + 1), P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD, P_NRSEQPROD);
     END IF;
   END IF;
   
   -- Tera
   IF (P_NRSEQPROD = '3') THEN

     -- Verifica se a linha existe
     BEGIN
        SELECT MIN(NRSEQLINHA) AS NRSEQLINHA, NRLINHA, CDPRODUTO3
          INTO V_NRSEQLINHA, V_NRLINHA, V_CDPRODUTO
          FROM RELCOMPITEMPED
         WHERE (CDFILIAL     = P_CDFILIAL   )
           AND (NRPEDIDO     = P_NRPEDIDO   )
           AND (NRITEMPED    = P_NRITEMPED  )
           AND (CDPRODUTOPAI = P_CDPRODUTO  )
           AND (NRLINHA      = P_CDGRUPOCOMP)
           AND (NRSEQLINHA   = V_NRSEQSUBLINHA)
           AND ROWNUM <= 1
         GROUP BY NRLINHA, CDPRODUTO3;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_NRSEQLINHA := '';
            V_NRLINHA    := '';
            V_CDPRODUTO  := '';
      END;
       
     -- Se a linha no existir o V_NRSEQLINHA e o V_CDPRODUTO vo estar vazios
     IF (((V_NRSEQLINHA = '')OR(V_NRSEQLINHA IS NULL)) AND ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL))) THEN

       -- Insere a linha CDGRUPOCOMP
       INSERT INTO RELCOMPITEMPED (CDFILIAL, NRPEDIDO, NRITEMPED, CDPRODUTOPAI,
                                   NRLINHA, NRSEQLINHA,
                                   CDPRODUTO3, NMPRODUTO3, QTPRODUTO3)
         VALUES (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO,
                 P_CDGRUPOCOMP, V_NRSEQSUBLINHA,
                 P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD);
                  
     -- Se o V_NRSEQLINHA no estiver vazio e o V_CDPRODUTO estiver
     ELSIF ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL)) THEN

       -- Altera a linha que j existe
       UPDATE RELCOMPITEMPED
          SET CDPRODUTO3    = P_CDPRODCOMPED,
              NMPRODUTO3    = P_PRODFILHO,
              QTPRODUTO3    = P_QTITCOMPPROD
        WHERE (CDFILIAL     = P_CDFILIAL   )
          AND (NRPEDIDO     = P_NRPEDIDO   )
          AND (NRITEMPED    = P_NRITEMPED  )
          AND (CDPRODUTOPAI = P_CDPRODUTO  )
          AND (NRLINHA      = P_CDGRUPOCOMP)
          AND (NRSEQLINHA   = V_NRSEQSUBLINHA);
           
     -- Deve se criar uma sublinha
     ELSE

        REL_COMPITEMPED_RECURSIVA (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO, P_CDGRUPOCOMP, (V_NRSEQLINHA + 1), P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD, P_NRSEQPROD);
     END IF;
   END IF;
   
   -- Quarta
   IF (P_NRSEQPROD = '4') THEN

     -- Verifica se a linha existe
     BEGIN
        SELECT MIN(NRSEQLINHA) AS NRSEQLINHA, NRLINHA, CDPRODUTO4
          INTO V_NRSEQLINHA, V_NRLINHA, V_CDPRODUTO
          FROM RELCOMPITEMPED
         WHERE (CDFILIAL     = P_CDFILIAL   )
           AND (NRPEDIDO     = P_NRPEDIDO   )
           AND (NRITEMPED    = P_NRITEMPED  )
           AND (CDPRODUTOPAI = P_CDPRODUTO  )
           AND (NRLINHA      = P_CDGRUPOCOMP)
           AND (NRSEQLINHA   = V_NRSEQSUBLINHA)
           AND ROWNUM <= 1
         GROUP BY NRLINHA, CDPRODUTO4;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_NRSEQLINHA := '';
            V_NRLINHA    := '';
            V_CDPRODUTO  := '';
      END;
       
     -- Se a linha no existir o V_NRSEQLINHA e o V_CDPRODUTO vo estar vazios
     IF (((V_NRSEQLINHA = '')OR(V_NRSEQLINHA IS NULL)) AND ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL))) THEN

       -- Insere a linha CDGRUPOCOMP
       INSERT INTO RELCOMPITEMPED (CDFILIAL, NRPEDIDO, NRITEMPED, CDPRODUTOPAI,
                                   NRLINHA, NRSEQLINHA,
                                   CDPRODUTO4, NMPRODUTO4, QTPRODUTO4)
         VALUES (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO,
                 P_CDGRUPOCOMP, V_NRSEQSUBLINHA,
                 P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD);
                  
     -- Se o V_NRSEQLINHA no estiver vazio e o V_CDPRODUTO estiver
     ELSIF ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL)) THEN

       -- Altera a linha que j existe
       UPDATE RELCOMPITEMPED
          SET CDPRODUTO4    = P_CDPRODCOMPED,
              NMPRODUTO4    = P_PRODFILHO,
              QTPRODUTO4    = P_QTITCOMPPROD
        WHERE (CDFILIAL     = P_CDFILIAL   )
          AND (NRPEDIDO     = P_NRPEDIDO   )
          AND (NRITEMPED    = P_NRITEMPED  )
          AND (CDPRODUTOPAI = P_CDPRODUTO  )
          AND (NRLINHA      = P_CDGRUPOCOMP)
          AND (NRSEQLINHA   = V_NRSEQSUBLINHA);
           
     -- Deve se criar uma sublinha
     ELSE

        REL_COMPITEMPED_RECURSIVA (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO, P_CDGRUPOCOMP, (V_NRSEQLINHA + 1), P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD, P_NRSEQPROD);
     END IF;
   END IF;
   
   -- Quinta
   IF (P_NRSEQPROD = '5') THEN

     -- Verifica se a linha existe
     BEGIN
        SELECT MIN(NRSEQLINHA) AS NRSEQLINHA, NRLINHA, CDPRODUTO5
          INTO V_NRSEQLINHA, V_NRLINHA, V_CDPRODUTO
          FROM RELCOMPITEMPED
         WHERE (CDFILIAL     = P_CDFILIAL   )
           AND (NRPEDIDO     = P_NRPEDIDO   )
           AND (NRITEMPED    = P_NRITEMPED  )
           AND (CDPRODUTOPAI = P_CDPRODUTO  )
           AND (NRLINHA      = P_CDGRUPOCOMP)
           AND (NRSEQLINHA   = V_NRSEQSUBLINHA)
           AND ROWNUM <= 1
         GROUP BY NRLINHA, CDPRODUTO5;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_NRSEQLINHA := '';
            V_NRLINHA    := '';
            V_CDPRODUTO  := '';
      END;
       
     -- Se a linha no existir o V_NRSEQLINHA e o V_CDPRODUTO vo estar vazios
     IF (((V_NRSEQLINHA = '')OR(V_NRSEQLINHA IS NULL)) AND ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL))) THEN

       -- Insere a linha CDGRUPOCOMP
       INSERT INTO RELCOMPITEMPED (CDFILIAL, NRPEDIDO, NRITEMPED, CDPRODUTOPAI,
                                   NRLINHA, NRSEQLINHA,
                                   CDPRODUTO5, NMPRODUTO5, QTPRODUTO5)
         VALUES (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO,
                 P_CDGRUPOCOMP, V_NRSEQSUBLINHA,
                 P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD);
                  
     -- Se o V_NRSEQLINHA no estiver vazio e o V_CDPRODUTO estiver
     ELSIF ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL)) THEN

       -- Altera a linha que j existe
       UPDATE RELCOMPITEMPED
          SET CDPRODUTO5    = P_CDPRODCOMPED,
              NMPRODUTO5    = P_PRODFILHO,
              QTPRODUTO5    = P_QTITCOMPPROD
        WHERE (CDFILIAL     = P_CDFILIAL   )
          AND (NRPEDIDO     = P_NRPEDIDO   )
          AND (NRITEMPED    = P_NRITEMPED  )
          AND (CDPRODUTOPAI = P_CDPRODUTO  )
          AND (NRLINHA      = P_CDGRUPOCOMP)
          AND (NRSEQLINHA   = V_NRSEQSUBLINHA);
           
     -- Deve se criar uma sublinha
     ELSE

        REL_COMPITEMPED_RECURSIVA (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO, P_CDGRUPOCOMP, (V_NRSEQLINHA + 1), P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD, P_NRSEQPROD);
     END IF;
   END IF;
   
   -- Sexta
   IF (P_NRSEQPROD = '6') THEN

     -- Verifica se a linha existe
     BEGIN
        SELECT MIN(NRSEQLINHA) AS NRSEQLINHA, NRLINHA, CDPRODUTO6
          INTO V_NRSEQLINHA, V_NRLINHA, V_CDPRODUTO
          FROM RELCOMPITEMPED
         WHERE (CDFILIAL     = P_CDFILIAL   )
           AND (NRPEDIDO     = P_NRPEDIDO   )
           AND (NRITEMPED    = P_NRITEMPED  )
           AND (CDPRODUTOPAI = P_CDPRODUTO  )
           AND (NRLINHA      = P_CDGRUPOCOMP)
           AND (NRSEQLINHA   = V_NRSEQSUBLINHA)
           AND ROWNUM <= 1
         GROUP BY NRLINHA, CDPRODUTO6;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_NRSEQLINHA := '';
            V_NRLINHA    := '';
            V_CDPRODUTO  := '';
      END;
       
     -- Se a linha no existir o V_NRSEQLINHA e o V_CDPRODUTO vo estar vazios
     IF (((V_NRSEQLINHA = '')OR(V_NRSEQLINHA IS NULL)) AND ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL))) THEN

       -- Insere a linha CDGRUPOCOMP
       INSERT INTO RELCOMPITEMPED (CDFILIAL, NRPEDIDO, NRITEMPED, CDPRODUTOPAI,
                                   NRLINHA, NRSEQLINHA,
                                   CDPRODUTO6, NMPRODUTO6, QTPRODUTO6)
         VALUES (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO,
                 P_CDGRUPOCOMP, V_NRSEQSUBLINHA,
                 P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD);
                  
     -- Se o V_NRSEQLINHA no estiver vazio e o V_CDPRODUTO estiver
     ELSIF ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL)) THEN

       -- Altera a linha que j existe
       UPDATE RELCOMPITEMPED
          SET CDPRODUTO6    = P_CDPRODCOMPED,
              NMPRODUTO6    = P_PRODFILHO,
              QTPRODUTO6    = P_QTITCOMPPROD
        WHERE (CDFILIAL     = P_CDFILIAL   )
          AND (NRPEDIDO     = P_NRPEDIDO   )
          AND (NRITEMPED    = P_NRITEMPED  )
          AND (CDPRODUTOPAI = P_CDPRODUTO  )
          AND (NRLINHA      = P_CDGRUPOCOMP)
          AND (NRSEQLINHA   = V_NRSEQSUBLINHA);
           
     -- Deve se criar uma sublinha
     ELSE

        REL_COMPITEMPED_RECURSIVA (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO, P_CDGRUPOCOMP, (V_NRSEQLINHA + 1), P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD, P_NRSEQPROD);
     END IF;
   END IF;
   
   -- Sbado
   IF (P_NRSEQPROD = '7') THEN

     -- Verifica se a linha existe
     BEGIN
        SELECT MIN(NRSEQLINHA) AS NRSEQLINHA, NRLINHA, CDPRODUTO7
          INTO V_NRSEQLINHA, V_NRLINHA, V_CDPRODUTO
          FROM RELCOMPITEMPED
         WHERE (CDFILIAL     = P_CDFILIAL   )
           AND (NRPEDIDO     = P_NRPEDIDO   )
           AND (NRITEMPED    = P_NRITEMPED  )
           AND (CDPRODUTOPAI = P_CDPRODUTO  )
           AND (NRLINHA      = P_CDGRUPOCOMP)
           AND (NRSEQLINHA   = V_NRSEQSUBLINHA)
           AND ROWNUM <= 1
         GROUP BY NRLINHA, CDPRODUTO7;
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_NRSEQLINHA := '';
            V_NRLINHA    := '';
            V_CDPRODUTO  := '';
      END;
       
     -- Se a linha no existir o V_NRSEQLINHA e o V_CDPRODUTO vo estar vazios
     IF (((V_NRSEQLINHA = '')OR(V_NRSEQLINHA IS NULL)) AND ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL))) THEN

       -- Insere a linha CDGRUPOCOMP
       INSERT INTO RELCOMPITEMPED (CDFILIAL, NRPEDIDO, NRITEMPED, CDPRODUTOPAI,
                                   NRLINHA, NRSEQLINHA,
                                   CDPRODUTO7, NMPRODUTO7, QTPRODUTO7)
         VALUES (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO,
                 P_CDGRUPOCOMP, V_NRSEQSUBLINHA,
                 P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD);
                  
     -- Se o V_NRSEQLINHA no estiver vazio e o V_CDPRODUTO estiver
     ELSIF ((V_CDPRODUTO = '')OR(V_CDPRODUTO IS NULL)) THEN

       -- Altera a linha que j existe
       UPDATE RELCOMPITEMPED
          SET CDPRODUTO7    = P_CDPRODCOMPED,
              NMPRODUTO7    = P_PRODFILHO,
              QTPRODUTO7    = P_QTITCOMPPROD
        WHERE (CDFILIAL     = P_CDFILIAL   )
          AND (NRPEDIDO     = P_NRPEDIDO   )
          AND (NRITEMPED    = P_NRITEMPED  )
          AND (CDPRODUTOPAI = P_CDPRODUTO  )
          AND (NRLINHA      = P_CDGRUPOCOMP)
          AND (NRSEQLINHA   = V_NRSEQSUBLINHA);
           
     -- Deve se criar uma sublinha
     ELSE

        REL_COMPITEMPED_RECURSIVA (P_CDFILIAL, P_NRPEDIDO, P_NRITEMPED, P_CDPRODUTO, P_CDGRUPOCOMP, (V_NRSEQLINHA + 1), P_CDPRODCOMPED, P_PRODFILHO, P_QTITCOMPPROD, P_NRSEQPROD);
     END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('REL_COMPITEMPED_RECURSIVA','6.05.xxx'); END;
/